> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rezora.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent templates



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/agents/templates/
openapi: 3.0.3
info:
  title: Rezora IO API
  version: 1.0.0
  description: >-
    Partner-safe Rezora API reference for authenticated customer and integration
    workflows.
servers:
  - url: https://api.rezora.io
    description: Production API
security: []
tags:
  - name: Billing & Credits
    description: Credit balances, transactions, and receipts.
  - name: Agents
    description: AI agent templates and active campaign-ready agents.
  - name: Contacts
    description: Contact groups, contacts, and imports.
  - name: Campaigns
    description: Campaign creation, dispatch, reporting, recordings, and call attempts.
  - name: Appointments & Calls
    description: Booked appointments and customer call records.
paths:
  /api/v1/agents/templates/:
    get:
      tags:
        - Agents
      summary: List agent templates
      operationId: agents_list_templates
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserAgentList'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    UserAgentList:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        user_id:
          type: string
          format: uuid
          readOnly: true
        template_id:
          type: string
          format: uuid
          nullable: true
          readOnly: true
        name:
          type: string
          maxLength: 255
        status:
          type: string
          nullable: true
          maxLength: 32
        is_active:
          type: boolean
        phone_number_id:
          type: string
          format: uuid
          nullable: true
        response_engine_type:
          type: string
          maxLength: 32
        llm_websocket_url:
          type: string
          format: uri
          nullable: true
          maxLength: 200
        agent_config: {}
        agent_profile: {}
        agent_variables: {}
        llm_runtime_overrides: {}
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        agent_templates:
          type: object
          additionalProperties: {}
          readOnly: true
        phone_numbers:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
        campaigns:
          type: array
          items:
            $ref: '#/components/schemas/RealCampaignNested'
          readOnly: true
      required:
        - agent_templates
        - campaigns
        - created_at
        - id
        - name
        - phone_numbers
        - template_id
        - updated_at
        - user_id
    RealCampaignNested:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        status:
          type: string
          maxLength: 32
      required:
        - id
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````